summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Daniel LEVAI <leva@ecentrum.hu>2012-11-23 15:38:17 (GMT)
committer dsomero <xgizzmo@slackbuilds.org>2012-11-24 20:36:46 (GMT)
commitac04dac942a7afdebd041acb27882ff6f6f4ea3e (patch)
treed72644be68fe09e278370e1dd5b234d63e409a7b
parent041ae4f64a1434f2d47776da68b4b4f01a9d83a8 (diff)
downloadslackbuilds-ac04dac942a7afdebd041acb27882ff6f6f4ea3e.tar.gz
development/avr8-gnu-toolchain: Added (AVR 8-bit GNU Toolchain).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--development/avr8-gnu-toolchain/README18
-rw-r--r--development/avr8-gnu-toolchain/avr8-gnu-toolchain.SlackBuild112
-rw-r--r--development/avr8-gnu-toolchain/avr8-gnu-toolchain.info14
-rw-r--r--development/avr8-gnu-toolchain/slack-desc19
4 files changed, 163 insertions, 0 deletions
diff --git a/development/avr8-gnu-toolchain/README b/development/avr8-gnu-toolchain/README
new file mode 100644
index 0000000..7793f3e
--- /dev/null
+++ b/development/avr8-gnu-toolchain/README
@@ -0,0 +1,18 @@
+Atmel AVR Toolchain is a collection of tools/libraries used to create
+applications for AVR microcontrollers. This collection includes compiler,
+assembler, linker and Standard C & math libraries.
+
+This script builds a Slackware package from the official binary
+distributed by Atmel. The source code is available at:
+http://distribute.atmel.no/tools/opensource/Atmel-AVR-Toolchain-3.4.1/
+
+NOTE:
+Please don't use this package in parallel with avr-binutils, avr-gcc
+and avr-libc packages found at SlackBuilds.org, because the files are
+placed in the same directories so one will overwrite the other.
+
+NOTE2:
+After installation, you can use the "avr-man" command to browse
+the AVR specific manual pages.
+
+Homepage: http://www.atmel.com/
diff --git a/development/avr8-gnu-toolchain/avr8-gnu-toolchain.SlackBuild b/development/avr8-gnu-toolchain/avr8-gnu-toolchain.SlackBuild
new file mode 100644
index 0000000..4be4372
--- /dev/null
+++ b/development/avr8-gnu-toolchain/avr8-gnu-toolchain.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/sh
+
+# Slackware build script for AVR 8-bit GNU Toolchain.
+
+# Copyright 2012, Andrzej Telszewski, Barcelona.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=avr8-gnu-toolchain
+VERSION=${VERSION:-3.4.1.798}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" != "i486" ] && [ "$ARCH" != "x86_64" ]; then
+ echo -ne "\nError: \"${ARCH}\" architecture is not supported. \n\n"
+ exit 1
+fi
+
+SRCARCH=x86
+DIRARCH=linux_$SRCARCH
+if [ "$ARCH" = "x86_64" ]; then
+ SRCARCH=x86_64
+ DIRARCH=linux_$SRCARCH
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $OUTPUT $TMP $PKG/usr
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-linux.any.$SRCARCH.tar.gz
+mv $PRGNAM-$DIRARCH $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cp -a avr bin libexec $PKG/usr
+
+cat <<AVRMAN > $PKG/usr/bin/avr-man
+#!/bin/sh
+
+exec man -M /usr/doc/$PRGNAM-$VERSION/man "\$@"
+AVRMAN
+
+mkdir -p $PKG/usr/lib
+cp -a lib/gcc $PKG/usr/lib
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+strip $PKG/usr/libexec/gcc/avr/4.6.2/liblto_plugin.a
+
+mkdir -p $PKG/usr/man
+cp -a man/man1 share/man/man1 $PKG/usr/man
+rm $PKG/usr/man/man1/avr-dlltool.1
+rm $PKG/usr/man/man1/avr-nlmconv.1
+rm $PKG/usr/man/man1/avr-windmc.1
+rm $PKG/usr/man/man1/avr-windres.1
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/man
+cp -a man/man3 $PKG/usr/doc/$PRGNAM-$VERSION/man
+rm $PKG/usr/doc/$PRGNAM-$VERSION/man/man3/_home_tools_hudson_workspace_avr8-gnu-toolchain_src_*
+
+find $PKG/usr/doc/$PRGNAM-$VERSION/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/doc/$PRGNAM-$VERSION/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+cp -a doc/avr-libc $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $CWD/avr8-gnu-toolchain-3.4.1.798-readme.pdf $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/avr8-gnu-toolchain/avr8-gnu-toolchain.info b/development/avr8-gnu-toolchain/avr8-gnu-toolchain.info
new file mode 100644
index 0000000..a5581d0
--- /dev/null
+++ b/development/avr8-gnu-toolchain/avr8-gnu-toolchain.info
@@ -0,0 +1,14 @@
+PRGNAM="avr8-gnu-toolchain"
+VERSION="3.4.1.798"
+HOMEPAGE="http://www.atmel.com/"
+DOWNLOAD="http://www.atmel.com/Images/avr8-gnu-toolchain-3.4.1.798-linux.any.x86.tar.gz \
+ http://www.atmel.com/Images/avr8-gnu-toolchain-3.4.1.798-readme.pdf"
+MD5SUM="2bedb2fa23f3f27b5b0b86d20dacc492 \
+ 5b55c062e88430fca9e342b34e31cc5f"
+DOWNLOAD_x86_64="http://www.atmel.com/Images/avr8-gnu-toolchain-3.4.1.798-linux.any.x86_64.tar.gz \
+ http://www.atmel.com/Images/avr8-gnu-toolchain-3.4.1.798-readme.pdf"
+MD5SUM_x86_64="587573e4fa6ce0f2fe1b9cf0b4bfb744 \
+ 5b55c062e88430fca9e342b34e31cc5f"
+REQUIRES="%README%"
+MAINTAINER="Andrzej Telszewski"
+EMAIL="atelszewski@gmail.com"
diff --git a/development/avr8-gnu-toolchain/slack-desc b/development/avr8-gnu-toolchain/slack-desc
new file mode 100644
index 0000000..36fdf65
--- /dev/null
+++ b/development/avr8-gnu-toolchain/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+avr8-gnu-toolchain: avr8-gnu-toolchain (AVR 8-bit GNU Toolchain)
+avr8-gnu-toolchain:
+avr8-gnu-toolchain: Atmel AVR Toolchain is a collection of tools/libraries used to create
+avr8-gnu-toolchain: applications for AVR microcontrollers. This collection includes
+avr8-gnu-toolchain: compiler, assembler, linker and Standard C & math libraries.
+avr8-gnu-toolchain:
+avr8-gnu-toolchain: This script builds a Slackware package from the official binary
+avr8-gnu-toolchain: distributed by Atmel.
+avr8-gnu-toolchain:
+avr8-gnu-toolchain: Homepage: http://www.atmel.com/
+avr8-gnu-toolchain: